# sc::HCoreWfn Class Reference

Inheritance diagram for sc::HCoreWfn:

List of all members.

## Public Member Functions
| HCoreWfn (StateIn &)
| HCoreWfn (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
double | occupation (int irrep, int vectornum)
| Returns the occupation.
RefSCMatrix | oso_eigenvectors ()
| Returns the orthogonal MO (columns) to orthogonal-SO (rows) transformation matrix.
RefDiagSCMatrix | eigenvalues ()
| Returns the MO basis eigenvalues.
RefSymmSCMatrix | density ()
| Returns the SO density.
int | spin_polarized ()
| Return 1 if the alpha density is not equal to the beta density.
int | spin_unrestricted ()
| Return 1 if the alpha orbitals are not equal to the beta orbitals.
int | value_implemented () const
| Information about the availability of values, gradients, and hessians.

## Member Function Documentation

RefDiagSCMatrix sc::HCoreWfn::eigenvalues | ( |  | ) | `[virtual]`

Returns the MO basis eigenvalues.

Implements sc::OneBodyWavefunction.

double sc::HCoreWfn::occupation | ( | int | irrep,
|  | int | vectornum |
| ) |  |  | `[virtual]`

Returns the occupation.

The irreducible representation and the vector number within that representation are given as arguments.

Implements sc::OneBodyWavefunction.

RefSCMatrix sc::HCoreWfn::oso_eigenvectors | ( |  | ) | `[virtual]`

Returns the orthogonal MO (columns) to orthogonal-SO (rows) transformation matrix.

Implements sc::OneBodyWavefunction.

void sc::HCoreWfn::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::OneBodyWavefunction.

int sc::HCoreWfn::value_implemented | ( |  | ) | const`[virtual]`

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

The documentation for this class was generated from the following file:

- obwfn.h